Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Class EncodingMap

    java.lang.Object
      |
      +--com.bea.wlxt.EncodingMap

public class EncodingMap
extends java.lang.Object

EncodingMap - this class is used to convert the Internet charset names into Java charset names. The Java names are taken from http://java.sun.com/products/jdk/1.1/docs/guide/intl/encoding.doc.html

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`EncodingMap()`

Method Summary
`static java.lang.String` | `getIanaEncoding(java.lang.String javaEncoding)` This method returns the encoding name in IANA for the JAVA encoding name that is passed as an argument.
`static java.lang.String` | `getJavaEncoding(java.lang.String ianaEncoding)` This method returns the encoding name in Java for the IANA encoding name that is passed as an argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingMap

    public EncodingMap()

Method Detail

### getJavaEncoding

    public static java.lang.String getJavaEncoding(java.lang.String ianaEncoding)

  This method returns the encoding name in Java for the IANA encoding name that is passed as an argument. If there is no mapping, the method returns the iana encoding that was passed in. It can not return null.

  Parameters:
    `ianaEncoding` - a String name of an IANA encoding

### getIanaEncoding

    public static java.lang.String getIanaEncoding(java.lang.String javaEncoding)

  This method returns the encoding name in IANA for the JAVA encoding name that is passed as an argument. If there is no mapping, the method returns the iana encoding that was passed in. It can not return null.

  Parameters:
    `javaEncoding` - a String name of a JAVA encoding

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)